#!/bin/sh
source /etc/vdr.d/conf/gen2vdr.cfg

if [ "$(pidof vdr)" != "" ] ; then
   /etc/init.d/vdr stop
   RESTART=1
else
   RESTART=0
fi   
cp -f ${VDR_SOURCE_DIR}/vdr ${VDR_EXEC}
if [ -d ${VDR_SOURCE_DIR}/PLUGINS/src/xineliboutput ] ; then
   cd ${VDR_SOURCE_DIR}/PLUGINS/src/xineliboutput
   make install
   cp -f ${VDR_SOURCE_DIR}/vdr-??fe /usr/local/bin/ >/dev/null 2>&1
fi   
rm -rf ${VDR_LIB_DIR}/*
cp -f ${VDR_SOURCE_DIR}/PLUGINS/lib/* ${VDR_LIB_DIR}/

if [ "$(grep "^[ ]*GDB_DEB" ${VDR_SOURCE_DIR}/Make.config)" = "" ] ; then
   strip --strip-unneeded ${VDR_EXEC} ${VDR_LIB_DIR}/*
fi   
[ "$(readlink /etc/vdr/locale)" != "" ] && rm /etc/vdr/locale
cp -a ${VDR_SOURCE_DIR}/locale /etc/vdr/

sh /etc/vdr/plugins/admin/cfgplg.sh

[ "$RESTART" = "1" ] && /etc/init.d/vdr start
