#!/bin/sh
#set -x
HG_REPO="http://linuxtv.org/hg/~endriss/v4l-dvb-av7110-full-ts-mod"
#HG_REPO="http://jusst.de/hg/multiproto_plus"

source /etc/make.conf

[ "$V4L_DVB_HG_REPO_URI" = "" ] && export V4L_DVB_HG_REPO_URI=$HG_REPO

VS=""
export DVB_LOCAL_PATCHES=/usr/local/portage/patches/v4l/*.diff 
export V4l_DVB_HG_REPO_URI=$HG_REPO

emerge -av v4l-dvb-hg
if [ "$(pidof vdr)" != "" ] ; then
   VS="1"
   /etc/init.d/vdr stop
fi
/_config/bin/dvbmod check
#rm -rf /usr/portage/distfiles/hg-src
[ "$VS" != "" ] && /etc/init.d/vdr start
exit
