#!/bin/sh
source /etc/make.conf
SRC_DIR=/usr/local/src/oxine

if [ "$(pidof oxine)" != "" ] ; then
   /etc/init.d/oxine stop
   OX_START=1
fi   
[ ! -d $SRC_DIR ] && mkdir $SRC_DIR
cd $SRC_DIR
if [ ! -d oxine ] ; then
   svn co https://oxine.svn.sourceforge.net/svnroot/oxine/trunk/oxine    
   cd oxine
else
   cd oxine
   svn up
fi   
sh autogen.sh --enable-vdr --enable-debug --enable-netr --without-jsw --disable-joystick
make
make install

# get the skins
cd $SRC_DIR
if [ ! -d oxine-skins ] ; then
   svn co https://oxine.svn.sourceforge.net/svnroot/oxine/trunk/oxine-skins
   cd oxine-skins
else
   cd oxine-skins
   svn up
fi   
for i in *-* ; do 
   [ -d $i ] && sh install.sh $i 
done
[ "$OX_START" = "1" ] && /etc/init.d/oxine start
